diff --git a/README.md b/README.md
index d4458a2..47a5dc1 100755
--- a/README.md
+++ b/README.md
@@ -8,7 +8,7 @@ You can find out information about the device rendering your web page:
   * mobile or not
   * if mobile, whether phone or tablet
   * operating system
-  * [Mobile Grade (A, B, C)](http://jquerymobile.com/gbs/)
+  * [Mobile Grade (A, B, C)](https://jquerymobile.com/browser-support/)
   * specific versions (e.g. WebKit)
 
 Current `master` branch is using detection logic from **Mobile-Detect@2.8.33**
@@ -18,9 +18,9 @@ Current `master` branch is using detection logic from **Mobile-Detect@2.8.33**
 [@zeno](https://github.com/zeno) created a very nice [live-demo](https://github.com/zeno/mobile-detect-demo).
 See it in action with your device:
 
-**[Demo](http://zeno.github.io/mobile-detect-demo/)**
+**[Demo](https://zeno.github.io/mobile-detect-demo/)**
 
-Another Demo/check (though without any styling) can be found [here](http://hgoebl.github.io/mobile-detect.js/check/).
+Another Demo/check (though without any styling) can be found [here](https://hgoebl.github.io/mobile-detect.js/check/).
 
 # Warning
 
@@ -29,8 +29,8 @@ As mentioned later, "User-Agent" based detection is not a reliable solution in m
   * The rules (regular expressions) are constantly out-dated and incomplete
   * You have to update the detection code continuously
   * There are other ways to detect how your web application should behave:
-    * feature detection, e.g. [Modernizr](http://modernizr.com/)
-    * [Media Queries](https://developer.mozilla.org/en-US/docs/Web/Guide/CSS/Media_queries), examples at <http://mediaqueri.es/>
+    * feature detection, e.g. [Modernizr](https://modernizr.com/)
+    * [Media Queries](https://developer.mozilla.org/en-US/docs/Web/Guide/CSS/Media_queries), examples at <https://mediaqueri.es/>
   * Maybe there are some libraries out there (which are probably not free) doing a more reliable job
 
 If you still want to (or have to) use this library, you should always **encapsulate it with your own code**,
@@ -89,7 +89,7 @@ console.log( md.match('playstation|xbox') ); // false
 
 There is some documentation generated by JSDoc:
 
-<http://hgoebl.github.io/mobile-detect.js/doc/MobileDetect.html>
+<https://hgoebl.github.io/mobile-detect.js/doc/MobileDetect.html>
 
 ## Side Effects
 
@@ -97,7 +97,7 @@ Script creates the global property `MobileDetect`.
 
 ## Modernizr Extension
 
-When using [Modernizr](http://modernizr.com/), you can include `mobile-detect-modernizr.js`.
+When using [Modernizr](https://modernizr.com/), you can include `mobile-detect-modernizr.js`.
 It will add the CSS classes `mobile`, `phone`, `tablet` and `mobilegradea` if applicable.
 
 You can easily extend it, e.g. `android`, `iphone`, etc.
@@ -141,7 +141,7 @@ Often device detection is the first solution in your mind. Please consider looki
 like media queries and feature detection (e.g. w/ Modernizr). Maybe there are better (simpler, smaller,
 faster) device detection libraries, so here you have a list (order has no meaning apart from first element):
 
-  * [Modernizr](http://modernizr.com/)
+  * [Modernizr](https://modernizr.com/)
     In most cases the better solution: don't use knowledge about device and version, but detect features
     (touch, canvas, ...)
   * [Mozilla Hacks - User-Agent detection, history and checklist](https://hacks.mozilla.org/2013/09/user-agent-detection-history-and-checklist/)
@@ -164,11 +164,11 @@ faster) device detection libraries, so here you have a list (order has no meanin
   * [FormFactor](https://github.com/PaulKinlan/formfactor)
     FormFactor helps you customize your web app for different form factors, e.g. when you make
     "the mobile version", "the TV version", etc.
-  * [UAParser.js](http://faisalman.github.com/ua-parser-js/)
+  * [UAParser.js](https://faisalman.github.com/ua-parser-js/)
     Lightweight JavaScript-based User-Agent String Parser
   * [MobileESP - Easily detect mobile web site visitors](http://blog.mobileesp.com/)
   * [WURFL](http://wurfl.sourceforge.net/)
-  * [Handset and Tablet Detection](http://www.handsetdetection.com/)
+  * [Handset and Tablet Detection](https://www.handsetdetection.com/)
   * [Search on microjs.com](http://microjs.com/#detect)
 
 ## Mobile-Usage Statistics
diff --git a/package.json b/package.json
index 8a5abf7..237b406 100644
--- a/package.json
+++ b/package.json
@@ -11,7 +11,7 @@
     "type": "git",
     "url": "https://github.com/hgoebl/mobile-detect.js"
   },
-  "homepage": "http://hgoebl.github.io/mobile-detect.js/",
+  "homepage": "https://hgoebl.github.io/mobile-detect.js/",
   "keywords": [
     "useragent",
     "mobile",
@@ -27,7 +27,7 @@
   "author": {
     "name": "Heinrich Goebl",
     "email": "hgoebl@goebl.com",
-    "url": "http://www.goebl.com/"
+    "url": "https://www.goebl.com/"
   },
   "license": "MIT",
   "readmeFilename": "README.md",
